#ifndef TMMSGBOX_H
#define TMMSGBOX_H

#include <RQ_OBJECT.h>
#include <TGFrame.h>
#include <TGText.h>
#include <TGTextView.h>
#include <TGButton.h>

class TMMsgBox : public TGTransientFrame {

  RQ_OBJECT("TMMsgBox")
    
  public :
    
  TMMsgBox(const TGWindow* p, const TGWindow *main, TGText *text);
  virtual ~TMMsgBox(); 
  virtual void CloseWindow();
  virtual Bool_t ProcessMessage(Long_t msg, Long_t parm1, Long_t parm2);
  
  private :
    
  TGTextView          *fTextView;
  TGPictureButton     *fPictureButton;
  TGLayoutHints	      *fL;
  Bool_t              fLetUserCloseWindow;
        
  enum EEvents {
    BUTTON_CLOSE
  };

  ClassDef(TMMsgBox, 1)
};

#endif
